> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/extra-info.md).

# extraInfo

### Examples

```graphql
type ExtraInfo {
  key: String
  val: String
  value: String
  snippet: ExtraInfoSnippet
  link: String
  callBranch: [String]
  iconLink: String
  tags: [String]
}
```

### Fields

| Field                                                                                                               | Description                                                         | Supported fields                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| key `String`                                                                                                        | Key name of the extra info                                          |                                                                                                                                                                            |
| val `String`                                                                                                        | Value associated with the key                                       |                                                                                                                                                                            |
| value `String`                                                                                                      | Alternate value field, often redundant with 'val'                   |                                                                                                                                                                            |
| snippet [`ExtraInfoSnippet`](/api-documentation/api-reference/api--application/types/objects/extra-info-snippet.md) | Code snippet context associated with the extra info                 | <p>detectionType <code>String</code><br>fileName <code>String</code><br>snippetLineNumber <code>Int</code><br>language <code>String</code><br>text <code>String</code></p> |
| link `String`                                                                                                       | Optional hyperlink related to this extra info                       |                                                                                                                                                                            |
| callBranch `[String]`                                                                                               | Call branch stack or related trace information as a list of strings |                                                                                                                                                                            |
| iconLink `String`                                                                                                   | URL to an icon representing this info                               |                                                                                                                                                                            |
| tags `[String]`                                                                                                     | List of tags associated with this extra info                        |                                                                                                                                                                            |

### References

#### Fields with this object:

* [{} SbomLib.extraInfo](/api-documentation/api-reference/api--issue/types/objects/sbom-lib.md)
* [{} Issue.extraInfo](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/extra-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
